[Stable Update] 2017-06-06 - Plasma 5, Boost, Deepin, Mesa, GCC

update
stable

#1

Hi community,

we are happy to present the latest Plasma 5 to you. It adds new features to task manager, changed folder view to be default now and added a lot of small features everywhere. Check out the video for more information about it.

We also added some more new Deepin packages, did a rebuild of packages based on boost, fixed some stuff in Mesa-Stack and added GCC v7.1 series to our tool-chain.

Please give us feedback as usual and report any issues you may see with this update.


Current supported Kernels

  • linux310 3.10.105
  • linux312 3.12.74 [EOL]
  • linux316 3.16.42
  • linux318 3.18.55 [EOL]
  • linux41 4.1.40
  • linux44 4.4.70
  • linux48 4.8.17 [EOL]
  • linux49 4.9.30
  • linux410 4.10.17 [EOL]
  • linux411 4.11.3
  • linux-RT-LTS 4.4.66_rt79 (x86_64)
  • linux-RT 4.9.30_rt20 (x86_64)

Package Updates (Mon Jun 5 10:07:44 CEST 2017)

  • stable community i686: 561 new and 526 removed package(s)
  • stable community x86_64: 585 new and 551 removed package(s)
  • stable core i686: 32 new and 31 removed package(s)
  • stable core x86_64: 32 new and 31 removed package(s)
  • stable extra i686: 203 new and 217 removed package(s)
  • stable extra x86_64: 203 new and 216 removed package(s)
  • stable multilib x86_64: 22 new and 24 removed package(s)

A detailed list of changes to the packages can be found here.


  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


AMD proprietary drivers freezing my boot up
GPGME error: No data
[SOLVED] 'gcc-libs' conflicting with 'gcc-libs-multilib' error: failed to prepare transaction
#2

First!

Still nothing to complain about, still doing your thang, still loving it.

You are my heroes!

p.s. I upgraded prior to this thread was posted. What a lovely surprise!


#3

You left the broken poppler-qt5 in this update.


#4

That’s right.

Carramba! I cannot open pdf files in Okular.


#5

I confirm


#6

Bernhard is already working on that matter. Currently we have some small issues within our unstable branch, which blocked the proper workflow. I hope we have soon a solution for it.


#7

Can not find the virtual keyboard for the login screen, it is supposed to be a feature of plasma 5.10


#8

Latest poppler-0.55.0-3 packages are forwarded. You might have to wait a little until your mirror syncs but with the update the issue should be fixed.


#9

@philm @oberon

Thank you for fixing the poppler-qt5 issue quickly.


#10

Is it installed? If yes, unplug your keyboard and use your touchscreen to touch into the text-input area, so it should appear.


#11

That fix will apply to the testing too, i hope ! Cheers !

[Edit] - just did the update and all is ok now :wink:


#12

Sorry call me thick, I do not understand, is what installed? I do not have a touchscreen, I am looking for the virtual keyboard for the login screen, so I can log in with my mouse using the virtual keyboard.


#13

qt5-virtualkeyboard. As far as i remember the Idea was to have this enabled, when no keyboard is found and a touchscreen is active. But I dont know for sure.


#14

Thank you, I was hoping it would be the same as Gnome, just click on the disabled assistance sign and select the virtual keyboard. It looks like KDE Plasma has not really implemented this feature yet.


#15

How do I run the update in KDE? sudo pacman -Syyu says nothing to do. Dont see where to update in Octopi. Still a newbie. Only been a few months


#16

Hi! Pamac was unable to solve dependencies with gcc. gcc 7.1.1-2 requires gcc-libs=7.1.1-2 and gcc-libs-multilib is on version 7.1.1-3. I think is easily fixable, but I don’t know how.


#17

Maybe your mirror is not yet synced. Check your mirrorlist and the manjaro mirror-check link in the first post.


#18

It depends which mirror you’re using. Some may sync more often than others. You may check with our service. Else you may switch to the German Mirror Netzspielplatz, which syncs every 5 minutes.

Please check which packages of gcc you have installed with: pacman -Q | grep gcc

pacman -Q | grep gcc
gcc-libs-multilib 7.1.1-3
gcc-multilib 7.1.1-3
gcc49 4.9.3-2
lib32-gcc-libs 7.1.1-3

You should not mix multilib packages with normal gcc packages. In your case I recommend to install gcc-multilib first: sudo pacman -S gcc-multilib gcc-libs-multilib lib32-gcc-libs Then you may continue with the normal update.


Cannot apply the latest update due to dependency conflict
#19

Ok did the mirrors sync then sudo pacman -Syyu and still nothing to do? I ran sudo pacman-mirrors -g and sudo pacman-mirrors -g -c United_States and sudo pacman-mirrors -f 10. Then again sudo pacman -Syu and sudo pacman -Syyu still nothing


#20

I have an issue on Deepin after upgrade. RMB and change wallpaper don’t work.